﻿Type=Class
Version=7.01
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
'Class module
Sub Class_Globals
	Private lsheader As ListView
	Private sm As SlidingMenu
	Private imgLogo As ImageView
	Private tmrdelay As Timer
End Sub

Public Sub Initialize(titlebarHeight As Int,Module As Object)
	
	Dim offset As Int = 10%x
	
	sm.Initialize("Menu")
	sm.BehindOffset = offset
	
	sm.Mode = sm.RIGHT
	
	lsheader.Initialize("lsheader")
	
	imgLogo.Initialize("")

	sm.Menu.Color = Colors.White
	
	sm.Menu.AddView(imgLogo,0,0, 100%x-offset, 245dip)
	sm.Menu.AddView(lsheader,0,imgLogo.Height, 100%x-offset, 100%y - imgLogo.Height)
	ChangeListviewStyle(lsheader)
	imgLogo.Bitmap = LoadBitmap(File.DirAssets,"logo.jpg")
	AddHeader
	
	tmrdelay.Initialize("tmr1",340)
	
	If sm.Visible = True Then sm.HideMenus
	
End Sub

Sub ChangeListviewStyle(lv1 As ListView)
	
	If GetDevicePhysicalSize > 5 Then
		lv1.TwoLinesLayout.ItemHeight = 130   'ertefa har menu
	End If
	
	If GetDevicePhysicalSize < 6 Then
		lv1.TwoLinesLayout.Label.TextSize = 13
		lv1.SingleLineLayout.Label.TextSize = 13
		lv1.TwoLinesLayout.SecondLabel.TextSize = 19
	Else
		lv1.TwoLinesLayout.Label.TextSize = 16
		lv1.SingleLineLayout.Label.TextSize = 19
		lv1.TwoLinesLayout.SecondLabel.TextSize = 22
	End If
	
	lv1.TwoLinesLayout.Label.Height = lv1.TwoLinesLayout.ItemHeight
	lv1.TwoLinesLayout.SecondLabel.Height = lv1.TwoLinesLayout.Label.Height

	lv1.TwoLinesLayout.Label.TextColor	= Colors.Black
	lv1.SingleLineLayout.Label.TextColor = Colors.Black
	lv1.TwoLinesLayout.SecondLabel.TextColor	=  Colors.Black
	
	Dim c1 As ColorDrawable
	c1.Initialize(Colors.Gray,0)
	lv1.SingleLineLayout.Background = c1
	
	lv1.TwoLinesLayout.SecondLabel.Typeface=  Typeface.LoadFromAssets("icomoon.ttf")
	
	lv1.TwoLinesLayout.SecondLabel.Top		= lv1.TwoLinesLayout.Label.Top
	lv1.SingleLineLayout.Label.Top			= lv1.TwoLinesLayout.Label.Top
	
	lv1.TwoLinesLayout.SecondLabel.Width	= lv1.Width-17dip
	lv1.TwoLinesLayout.Label.Width			= lv1.Width-50dip
	lv1.SingleLineLayout.Label.Width		= lv1.TwoLinesLayout.SecondLabel.Width
	
	lv1.TwoLinesLayout.Label.Gravity = Bit.Or(Gravity.RIGHT,Gravity.CENTER_VERTICAL)
	lv1.TwoLinesLayout.SecondLabel.Gravity = Bit.Or(Gravity.RIGHT,Gravity.CENTER_VERTICAL)
	lv1.SingleLineLayout.Label.Gravity = Bit.Or(Gravity.RIGHT,Gravity.CENTER_VERTICAL)

	
End Sub

Sub GetDevicePhysicalSize As Float
	Dim lv As LayoutValues
	lv = GetDeviceLayoutValues
	Return Sqrt(Power(lv.Height / lv.Scale / 160, 2) + Power(lv.Width / lv.Scale / 160, 2))
End Sub

Public Sub ToggleMenu
	
	If sm.Visible = True Then
		sm.HideMenus
	Else
		sm.ShowMenu
	End If
	
End Sub

Public Sub AddHeader
	
	If lsheader.IsInitialized = False Then Return
	
	lsheader.Clear
	
	lsheader.AddTwoLines2("Home","","home")
	lsheader.AddTwoLines2("Basket","","basket")
	
End Sub

Private Sub lsheader_ItemClick (Position As Int, Value1 As Object)
	
	sm.HideMenus
	
End Sub

Public Sub GetVisible As Boolean
	Return sm.Visible
End Sub